var app = require('express')()
var http = require('http').Server(app)
var request = require('request')
var exphbs = require('express-handlebars')

app.engine('.hbs', exphbs({defaultLayout: 'single', extname: '.hbs'}))
app.set('view engine', '.hbs')


var url = 'http://192.168.178.109:1024/'

// Host the HTML File
app.get('/', function(req, res){
     //name, class, experience, gold, level
    request({
        url: url,
        json: true,
        auth: {
            user: 'Simon',
            pass: 'password'
        }
    }, function(error, response, body){
        var data = []
        if (!error && response.statusCode === 200) {
            body.response.bot.accounts.forEach(el => {
                var tmp = el[Object.keys(el)]
                tmp.logs = ""
                tmp.settings = ""
                data.push(tmp)
            });

            res.render('index', {
                instances: data
            })
        } else console.error('HTTP ERROR ' + response.statusCode + '')
    });
})

app.get('/assets/*', function(req, res){
    res.sendFile(__dirname + req.originalUrl)
})

app.listen(8080)
